de.esprit.netsuite.transl

## Enum TrEnsAction

- java.lang.Object
- - java.lang.Enum<TrEnsAction>
  - - de.esprit.netsuite.transl.TrEnsAction

- All Implemented Interfaces:
    NlsActionKey, NlsKey, NlsToolTipKey, java.io.Serializable, java.lang.Comparable<TrEnsAction>

      public enum TrEnsAction
      extends java.lang.Enum<TrEnsAction>
      implements NlsActionKey

  Translations for Actions
  Author:
    Rainer Buesch

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ABO_TOOL`
    `ABOUT_SRVSUITE`
    `ADD_MAIL_ADDR`
    `ADD_PERMISSION`
    `ASSIGN_GROUPS`
    `ASYNC_AGENT_CLIENT_TIMEOUT`
    `ASYNC_AGENT_SERVER_TIMEOUT`
    `AWAIT_CHILD_TASK_CALLS`
    `BURST_OF_SLEEPER_AGENTS`
    `BURST_OF_WORKER_AGENTS`
    `CANCEL_ALL_CLIENT_CMDS`
    `CANCEL_ASYNC_AGENT`
    `CANCEL_CO_SERVER_XFER`
    `CANCEL_CURR_CLIENT_CMD`
    `CANCEL_FILE_TRANSFER`
    `CANCEL_LAST_CLIENT_CMD`
    `CANCEL_REMOTE_ACTIVITY`
    `CHANGE_PASSWORD`
    `CHAT_TOOL`
    `CLEAR_LOGMSG_TABLE`
    `CLEAR_USER_PASSWORD`
    `CLIENT_ACTIVITY`
    `CLIENT_LIST`
    `CO_SERVER_FILE_DOWNLOAD`
    `CO_SERVER_FILE_UPLOAD`
    `CROSS_DATABASE_XFER`
    `DATA_SOURCE_DETAILS`
    `DATA_SOURCES`
    `DELIVER_MESSAGE`
    `DEREGISTER_SERVER_MSGS`
    `DISPLAY_GROUPS`
    `DUMP_CLIENT_CONTEXT`
    `DUMP_SERVER_ACTIVITY`
    `DUMP_SERVER_ID`
    `EAT_ALL_CLIENT_MEMORY`
    `EAT_ALL_SERVER_MEMORY`
    `EDIT_PERMISSIONS`
    `EMAIL_NOTIFICATION`
    `EVER_SLEEPING_AGENT`
    `EVER_WORKING_AGENT`
    `EXECUTE_ON_CO_SERVERS`
    `FAILING_ASYNC_RESP_AGENT`
    `FAILING_RECORD_INSERT`
    `FETCH_CONFIGURED_USERS`
    `FETCH_USER_LIST`
    `FILE_DOWNLOAD`
    `FILE_EDIT_TEST`
    `FILE_INFO_TEST`
    `FILE_UPLOAD`
    `FILE_VIEW_TEST`
    `FILL_LOGMSG_TABLE`
    `FIND_CACHED_TANKS`
    `FREE_SERVER_MEMORY`
    `GRAPH_TOOL`
    `GROUP_MANAGER`
    `HANGUP`
    `HEAVY_LOAD_AGENT`
    `HEAVY_LOGGING_AGENT`
    `INITIATE_SERVER_MESSAGE`
    `INSERT_DELETE_RECORDS`
    `KILL_ALL_CLIENTS`
    `LOAD_MAIL_LIST`
    `LOAD_RECORDS_IN_CHUNKS`
    `LOCK`
    `LOCK_DATA_SOURCE_POOL`
    `LOCK_DETAILS`
    `LOCK_LIST`
    `LOCK_SERVER_DIRECTORY`
    `LOGFILE_LIST`
    `LOGGING_PARAMS`
    `LOGIN`
    `LOGIN_AS`
    `LOGOUT`
    `MAMMOTH_TOOL`
    `MIXED_FILESET_TRANSFER`
    `NEW_LOGFILE`
    `OBSERVE_TASK`
    `PARTIAL_RES_ASYNC_AGENT`
    `PARTIAL_RES_SPLIT_AGENT`
    `PARTIAL_RES_SYNC_AGENT`
    `PROBE_DATABASE`
    `PROCESSING_LOAD`
    `PURGE_SERVER_DIRECTORY`
    `RECEIVE_MSG_FROM_ALL`
    `RECEIVE_MSG_TO_YOU`
    `REGISTER_SERVER_MSGS`
    `RELEASE_ALL_LOCKS`
    `REMOTE_TASK_TOOL`
    `REMOTE_TASKS_DETAILS`
    `REMOVE_MAIL_ADDR`
    `REMOVE_PERMISSION`
    `RESET_USER_PASSWORD`
    `RESOURCE_LOCK_TEST`
    `RUN_ASYNC_CLIENT_CMD`
    `SAMPLE_EVENT_DRIVEN_TASK`
    `SCRAMBLE_GRAPH`
    `SELECT_UPDATE_RECORD`
    `SELECT_UPDATE_RECORDS`
    `SEND_CLIENT_MESSAGE`
    `SEND_MESSAGE_BURST`
    `SEND_MESSAGE_TO`
    `SEND_MSG_TO_CURR_SESSION`
    `SEND_MSG_TO_CURR_USER`
    `SEND_MSG_TO_OTHER_CLIENT`
    `SEND_REQUEST_BURST`
    `SEQUENCED_PARAM_AGENT`
    `SERVER_EVENTS`
    `SERVER_LOAD_TOOL`
    `SERVER_LOG_TEST_AGENT`
    `SERVER_MEMORY`
    `SERVER_PROCESSES`
    `SERVER_STATISTICS_ABO_DROP`
    `SERVER_STATISTICS_ABO_FETCH`
    `SET_DEFAULT_PASSWORD`
    `SET_PERMISSIONS`
    `SET_USER_PASSWORD`
    `SHAKE_GRAPH`
    `SHOW_ABO_ACCESS_LIST`
    `SHOW_CLIENT_ACTIVITY`
    `SHOW_STRESS`
    `SHUTDOWN_SERVER`
    `START_CLIENT_PROCESS`
    `START_DYNAMIT`
    `START_EXTERNAL_EDITOR`
    `SYNC_CLIENT_TIMEOUT_AGENT`
    `SYNC_SERVER_TIMEOUT_AGENT`
    `TEST_AGENT`
    `TEST_DATA_ROUNDTRIP`
    `TEST_FAILING_ASYNC_AGENT`
    `TEST_FAILING_SYNC_AGENT`
    `TEST_FILE_DOWNLOAD`
    `TEST_FILE_UPLOAD`
    `TEST_FILESET_DOWNLOAD`
    `TEST_FILESET_UPLOAD`
    `TEST_LOG_MESSAGE`
    `TEST_NO_RETURN_AGENT`
    `TEST_ROUNDTRIP`
    `TEST_SRV_EXCEPTION_TRANSL`
    `TEST_STREAM_DOWNLOAD`
    `TEST_TOOL`
    `TEST_WORKFLOW`
    `TESTPROC`
    `TEXT_EDITOR`
    `TIME_COMPARE`
    `USER_MANAGER`
    `VIEW_ASYNC_TASKS`
    `VIEW_CLIENT_INFO`
    `VIEW_CO_SERVER_STARTUP`
    `VIEW_CO_SERVERS`
    `VIEW_LOGFILE`
    `VIEW_PROCESS_HISTORY`
    `VIEW_PROCS_TIMETABLE`
    `VIEW_SCHEDULED_PROCS`
    `VIEW_SERVER_PARAMS`
    `VIEW_SERVER_STARTUP`
    `VIEW_SERVER_STATISTIC`
    `VIEW_THREAD_POOLS`
    `WITH_RINGUP_SOUND`

  - ### Field Summary

    - ### Fields inherited from interface de.esprit.appsuite.nls.NlsKey

      `SUB_KEY_ACTION, SUB_KEY_COLUMN, SUB_KEY_CONFIRM, SUB_KEY_CONST, SUB_KEY_DBO, SUB_KEY_DEMO, SUB_KEY_ERROR, SUB_KEY_FIELD, SUB_KEY_GUI, SUB_KEY_HELP, SUB_KEY_INFO, SUB_KEY_LABEL, SUB_KEY_MENU, SUB_KEY_MESSAGE, SUB_KEY_MISC, SUB_KEY_STATUS, SUB_KEY_TIP, SUB_KEY_TOOL, SUB_KEY_WINDOW, SUB_KEY_WORKFLOW`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAppKey()` Returns the base prefix of the key
    `java.lang.String` | `getButtonText()`
    `java.lang.String` | `getMenuText()`
    `java.lang.String` | `getSubKey()` Returns the path of the key
    `java.lang.String` | `getText(java.lang.Object... args)` Returns the translated text, which is the value of the translation key as stored in the translation map.
    `java.lang.String` | `getTipText()`
    `static TrEnsAction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static TrEnsAction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.appsuite.nls.NlsKey

      `name`

- - ### Enum Constant Detail

    - #### ABOUT_SRVSUITE

          public static final TrEnsAction ABOUT_SRVSUITE

    - #### TEST_TOOL

          public static final TrEnsAction TEST_TOOL

    - #### LOGFILE_LIST

          public static final TrEnsAction LOGFILE_LIST

    - #### CLIENT_LIST

          public static final TrEnsAction CLIENT_LIST

    - #### SERVER_PROCESSES

          public static final TrEnsAction SERVER_PROCESSES

    - #### SERVER_EVENTS

          public static final TrEnsAction SERVER_EVENTS

    - #### SERVER_LOAD_TOOL

          public static final TrEnsAction SERVER_LOAD_TOOL

    - #### CLIENT_ACTIVITY

          public static final TrEnsAction CLIENT_ACTIVITY

    - #### DATA_SOURCES

          public static final TrEnsAction DATA_SOURCES

    - #### USER_MANAGER

          public static final TrEnsAction USER_MANAGER

    - #### GROUP_MANAGER

          public static final TrEnsAction GROUP_MANAGER

    - #### CHAT_TOOL

          public static final TrEnsAction CHAT_TOOL

    - #### LOCK_LIST

          public static final TrEnsAction LOCK_LIST

    - #### VIEW_PROCS_TIMETABLE

          public static final TrEnsAction VIEW_PROCS_TIMETABLE

    - #### VIEW_SCHEDULED_PROCS

          public static final TrEnsAction VIEW_SCHEDULED_PROCS

    - #### VIEW_SERVER_PARAMS

          public static final TrEnsAction VIEW_SERVER_PARAMS

    - #### VIEW_CLIENT_INFO

          public static final TrEnsAction VIEW_CLIENT_INFO

    - #### VIEW_SERVER_STARTUP

          public static final TrEnsAction VIEW_SERVER_STARTUP

    - #### VIEW_CO_SERVER_STARTUP

          public static final TrEnsAction VIEW_CO_SERVER_STARTUP

    - #### EXECUTE_ON_CO_SERVERS

          public static final TrEnsAction EXECUTE_ON_CO_SERVERS

    - #### CO_SERVER_FILE_UPLOAD

          public static final TrEnsAction CO_SERVER_FILE_UPLOAD

    - #### CO_SERVER_FILE_DOWNLOAD

          public static final TrEnsAction CO_SERVER_FILE_DOWNLOAD

    - #### CANCEL_CO_SERVER_XFER

          public static final TrEnsAction CANCEL_CO_SERVER_XFER

    - #### VIEW_SERVER_STATISTIC

          public static final TrEnsAction VIEW_SERVER_STATISTIC

    - #### VIEW_THREAD_POOLS

          public static final TrEnsAction VIEW_THREAD_POOLS

    - #### VIEW_ASYNC_TASKS

          public static final TrEnsAction VIEW_ASYNC_TASKS

    - #### VIEW_PROCESS_HISTORY

          public static final TrEnsAction VIEW_PROCESS_HISTORY

    - #### VIEW_CO_SERVERS

          public static final TrEnsAction VIEW_CO_SERVERS

    - #### SHOW_ABO_ACCESS_LIST

          public static final TrEnsAction SHOW_ABO_ACCESS_LIST

    - #### FIND_CACHED_TANKS

          public static final TrEnsAction FIND_CACHED_TANKS

    - #### VIEW_LOGFILE

          public static final TrEnsAction VIEW_LOGFILE

    - #### LOGGING_PARAMS

          public static final TrEnsAction LOGGING_PARAMS

    - #### NEW_LOGFILE

          public static final TrEnsAction NEW_LOGFILE

    - #### TESTPROC

          public static final TrEnsAction TESTPROC

    - #### EMAIL_NOTIFICATION

          public static final TrEnsAction EMAIL_NOTIFICATION

    - #### GRAPH_TOOL

          public static final TrEnsAction GRAPH_TOOL

    - #### ABO_TOOL

          public static final TrEnsAction ABO_TOOL

    - #### LOGOUT

          public static final TrEnsAction LOGOUT

    - #### LOGIN

          public static final TrEnsAction LOGIN

    - #### LOCK

          public static final TrEnsAction LOCK

    - #### SHUTDOWN_SERVER

          public static final TrEnsAction SHUTDOWN_SERVER

    - #### PROBE_DATABASE

          public static final TrEnsAction PROBE_DATABASE

    - #### CROSS_DATABASE_XFER

          public static final TrEnsAction CROSS_DATABASE_XFER

    - #### TEST_ROUNDTRIP

          public static final TrEnsAction TEST_ROUNDTRIP

    - #### FILL_LOGMSG_TABLE

          public static final TrEnsAction FILL_LOGMSG_TABLE

    - #### CLEAR_LOGMSG_TABLE

          public static final TrEnsAction CLEAR_LOGMSG_TABLE

    - #### TEST_FAILING_SYNC_AGENT

          public static final TrEnsAction TEST_FAILING_SYNC_AGENT

    - #### TEST_FAILING_ASYNC_AGENT

          public static final TrEnsAction TEST_FAILING_ASYNC_AGENT

    - #### TEST_NO_RETURN_AGENT

          public static final TrEnsAction TEST_NO_RETURN_AGENT

    - #### PARTIAL_RES_SYNC_AGENT

          public static final TrEnsAction PARTIAL_RES_SYNC_AGENT

    - #### PARTIAL_RES_ASYNC_AGENT

          public static final TrEnsAction PARTIAL_RES_ASYNC_AGENT

    - #### PARTIAL_RES_SPLIT_AGENT

          public static final TrEnsAction PARTIAL_RES_SPLIT_AGENT

    - #### RUN_ASYNC_CLIENT_CMD

          public static final TrEnsAction RUN_ASYNC_CLIENT_CMD

    - #### CANCEL_LAST_CLIENT_CMD

          public static final TrEnsAction CANCEL_LAST_CLIENT_CMD

    - #### CANCEL_ALL_CLIENT_CMDS

          public static final TrEnsAction CANCEL_ALL_CLIENT_CMDS

    - #### CANCEL_CURR_CLIENT_CMD

          public static final TrEnsAction CANCEL_CURR_CLIENT_CMD

    - #### FAILING_ASYNC_RESP_AGENT

          public static final TrEnsAction FAILING_ASYNC_RESP_AGENT

    - #### TEST_DATA_ROUNDTRIP

          public static final TrEnsAction TEST_DATA_ROUNDTRIP

    - #### ASYNC_AGENT_CLIENT_TIMEOUT

          public static final TrEnsAction ASYNC_AGENT_CLIENT_TIMEOUT

    - #### ASYNC_AGENT_SERVER_TIMEOUT

          public static final TrEnsAction ASYNC_AGENT_SERVER_TIMEOUT

    - #### HEAVY_LOAD_AGENT

          public static final TrEnsAction HEAVY_LOAD_AGENT

    - #### HEAVY_LOGGING_AGENT

          public static final TrEnsAction HEAVY_LOGGING_AGENT

    - #### EAT_ALL_SERVER_MEMORY

          public static final TrEnsAction EAT_ALL_SERVER_MEMORY

    - #### EAT_ALL_CLIENT_MEMORY

          public static final TrEnsAction EAT_ALL_CLIENT_MEMORY

    - #### SEQUENCED_PARAM_AGENT

          public static final TrEnsAction SEQUENCED_PARAM_AGENT

    - #### FETCH_USER_LIST

          public static final TrEnsAction FETCH_USER_LIST

    - #### EVER_WORKING_AGENT

          public static final TrEnsAction EVER_WORKING_AGENT

    - #### EVER_SLEEPING_AGENT

          public static final TrEnsAction EVER_SLEEPING_AGENT

    - #### TEST_LOG_MESSAGE

          public static final TrEnsAction TEST_LOG_MESSAGE

    - #### TIME_COMPARE

          public static final TrEnsAction TIME_COMPARE

    - #### SYNC_SERVER_TIMEOUT_AGENT

          public static final TrEnsAction SYNC_SERVER_TIMEOUT_AGENT

    - #### SERVER_LOG_TEST_AGENT

          public static final TrEnsAction SERVER_LOG_TEST_AGENT

    - #### SYNC_CLIENT_TIMEOUT_AGENT

          public static final TrEnsAction SYNC_CLIENT_TIMEOUT_AGENT

    - #### RESOURCE_LOCK_TEST

          public static final TrEnsAction RESOURCE_LOCK_TEST

    - #### FILE_EDIT_TEST

          public static final TrEnsAction FILE_EDIT_TEST

    - #### FILE_VIEW_TEST

          public static final TrEnsAction FILE_VIEW_TEST

    - #### FILE_INFO_TEST

          public static final TrEnsAction FILE_INFO_TEST

    - #### REMOVE_MAIL_ADDR

          public static final TrEnsAction REMOVE_MAIL_ADDR

    - #### LOAD_MAIL_LIST

          public static final TrEnsAction LOAD_MAIL_LIST

    - #### ADD_MAIL_ADDR

          public static final TrEnsAction ADD_MAIL_ADDR

    - #### TEST_AGENT

          public static final TrEnsAction TEST_AGENT

    - #### REGISTER_SERVER_MSGS

          public static final TrEnsAction REGISTER_SERVER_MSGS

    - #### DEREGISTER_SERVER_MSGS

          public static final TrEnsAction DEREGISTER_SERVER_MSGS

    - #### SEND_MSG_TO_CURR_SESSION

          public static final TrEnsAction SEND_MSG_TO_CURR_SESSION

    - #### SEND_MSG_TO_CURR_USER

          public static final TrEnsAction SEND_MSG_TO_CURR_USER

    - #### SEND_CLIENT_MESSAGE

          public static final TrEnsAction SEND_CLIENT_MESSAGE

    - #### SEND_MESSAGE_TO

          public static final TrEnsAction SEND_MESSAGE_TO

    - #### SEND_MESSAGE_BURST

          public static final TrEnsAction SEND_MESSAGE_BURST

    - #### SEND_REQUEST_BURST

          public static final TrEnsAction SEND_REQUEST_BURST

    - #### BURST_OF_SLEEPER_AGENTS

          public static final TrEnsAction BURST_OF_SLEEPER_AGENTS

    - #### BURST_OF_WORKER_AGENTS

          public static final TrEnsAction BURST_OF_WORKER_AGENTS

    - #### SEND_MSG_TO_OTHER_CLIENT

          public static final TrEnsAction SEND_MSG_TO_OTHER_CLIENT

    - #### INITIATE_SERVER_MESSAGE

          public static final TrEnsAction INITIATE_SERVER_MESSAGE

    - #### SELECT_UPDATE_RECORD

          public static final TrEnsAction SELECT_UPDATE_RECORD

    - #### SELECT_UPDATE_RECORDS

          public static final TrEnsAction SELECT_UPDATE_RECORDS

    - #### INSERT_DELETE_RECORDS

          public static final TrEnsAction INSERT_DELETE_RECORDS

    - #### FAILING_RECORD_INSERT

          public static final TrEnsAction FAILING_RECORD_INSERT

    - #### LOAD_RECORDS_IN_CHUNKS

          public static final TrEnsAction LOAD_RECORDS_IN_CHUNKS

    - #### CANCEL_ASYNC_AGENT

          public static final TrEnsAction CANCEL_ASYNC_AGENT

    - #### SHOW_CLIENT_ACTIVITY

          public static final TrEnsAction SHOW_CLIENT_ACTIVITY

    - #### CANCEL_FILE_TRANSFER

          public static final TrEnsAction CANCEL_FILE_TRANSFER

    - #### KILL_ALL_CLIENTS

          public static final TrEnsAction KILL_ALL_CLIENTS

    - #### CHANGE_PASSWORD

          public static final TrEnsAction CHANGE_PASSWORD

    - #### SET_DEFAULT_PASSWORD

          public static final TrEnsAction SET_DEFAULT_PASSWORD

    - #### TEST_FILESET_UPLOAD

          public static final TrEnsAction TEST_FILESET_UPLOAD

    - #### TEST_FILE_UPLOAD

          public static final TrEnsAction TEST_FILE_UPLOAD

    - #### TEST_FILESET_DOWNLOAD

          public static final TrEnsAction TEST_FILESET_DOWNLOAD

    - #### MIXED_FILESET_TRANSFER

          public static final TrEnsAction MIXED_FILESET_TRANSFER

    - #### TEST_FILE_DOWNLOAD

          public static final TrEnsAction TEST_FILE_DOWNLOAD

    - #### TEST_STREAM_DOWNLOAD

          public static final TrEnsAction TEST_STREAM_DOWNLOAD

    - #### START_CLIENT_PROCESS

          public static final TrEnsAction START_CLIENT_PROCESS

    - #### SAMPLE_EVENT_DRIVEN_TASK

          public static final TrEnsAction SAMPLE_EVENT_DRIVEN_TASK

    - #### AWAIT_CHILD_TASK_CALLS

          public static final TrEnsAction AWAIT_CHILD_TASK_CALLS

    - #### START_EXTERNAL_EDITOR

          public static final TrEnsAction START_EXTERNAL_EDITOR

    - #### START_DYNAMIT

          public static final TrEnsAction START_DYNAMIT

    - #### PROCESSING_LOAD

          public static final TrEnsAction PROCESSING_LOAD

    - #### LOCK_SERVER_DIRECTORY

          public static final TrEnsAction LOCK_SERVER_DIRECTORY

    - #### PURGE_SERVER_DIRECTORY

          public static final TrEnsAction PURGE_SERVER_DIRECTORY

    - #### LOCK_DATA_SOURCE_POOL

          public static final TrEnsAction LOCK_DATA_SOURCE_POOL

    - #### RELEASE_ALL_LOCKS

          public static final TrEnsAction RELEASE_ALL_LOCKS

    - #### RESET_USER_PASSWORD

          public static final TrEnsAction RESET_USER_PASSWORD

    - #### CLEAR_USER_PASSWORD

          public static final TrEnsAction CLEAR_USER_PASSWORD

    - #### SET_USER_PASSWORD

          public static final TrEnsAction SET_USER_PASSWORD

    - #### DELIVER_MESSAGE

          public static final TrEnsAction DELIVER_MESSAGE

    - #### RECEIVE_MSG_FROM_ALL

          public static final TrEnsAction RECEIVE_MSG_FROM_ALL

    - #### RECEIVE_MSG_TO_YOU

          public static final TrEnsAction RECEIVE_MSG_TO_YOU

    - #### WITH_RINGUP_SOUND

          public static final TrEnsAction WITH_RINGUP_SOUND

    - #### DISPLAY_GROUPS

          public static final TrEnsAction DISPLAY_GROUPS

    - #### TEST_SRV_EXCEPTION_TRANSL

          public static final TrEnsAction TEST_SRV_EXCEPTION_TRANSL

    - #### TEST_WORKFLOW

          public static final TrEnsAction TEST_WORKFLOW

    - #### DUMP_CLIENT_CONTEXT

          public static final TrEnsAction DUMP_CLIENT_CONTEXT

    - #### DUMP_SERVER_ID

          public static final TrEnsAction DUMP_SERVER_ID

    - #### DUMP_SERVER_ACTIVITY

          public static final TrEnsAction DUMP_SERVER_ACTIVITY

    - #### TEXT_EDITOR

          public static final TrEnsAction TEXT_EDITOR

    - #### SHAKE_GRAPH

          public static final TrEnsAction SHAKE_GRAPH

    - #### SCRAMBLE_GRAPH

          public static final TrEnsAction SCRAMBLE_GRAPH

    - #### SHOW_STRESS

          public static final TrEnsAction SHOW_STRESS

    - #### DATA_SOURCE_DETAILS

          public static final TrEnsAction DATA_SOURCE_DETAILS

    - #### REMOTE_TASKS_DETAILS

          public static final TrEnsAction REMOTE_TASKS_DETAILS

    - #### LOCK_DETAILS

          public static final TrEnsAction LOCK_DETAILS

    - #### FREE_SERVER_MEMORY

          public static final TrEnsAction FREE_SERVER_MEMORY

    - #### SERVER_MEMORY

          public static final TrEnsAction SERVER_MEMORY

    - #### LOGIN_AS

          public static final TrEnsAction LOGIN_AS

    - #### MAMMOTH_TOOL

          public static final TrEnsAction MAMMOTH_TOOL

    - #### HANGUP

          public static final TrEnsAction HANGUP

    - #### SERVER_STATISTICS_ABO_FETCH

          public static final TrEnsAction SERVER_STATISTICS_ABO_FETCH

    - #### SERVER_STATISTICS_ABO_DROP

          public static final TrEnsAction SERVER_STATISTICS_ABO_DROP

    - #### FETCH_CONFIGURED_USERS

          public static final TrEnsAction FETCH_CONFIGURED_USERS

    - #### CANCEL_REMOTE_ACTIVITY

          public static final TrEnsAction CANCEL_REMOTE_ACTIVITY

    - #### REMOTE_TASK_TOOL

          public static final TrEnsAction REMOTE_TASK_TOOL

    - #### OBSERVE_TASK

          public static final TrEnsAction OBSERVE_TASK

    - #### FILE_DOWNLOAD

          public static final TrEnsAction FILE_DOWNLOAD

    - #### FILE_UPLOAD

          public static final TrEnsAction FILE_UPLOAD

    - #### SET_PERMISSIONS

          public static final TrEnsAction SET_PERMISSIONS

    - #### EDIT_PERMISSIONS

          public static final TrEnsAction EDIT_PERMISSIONS

    - #### ASSIGN_GROUPS

          public static final TrEnsAction ASSIGN_GROUPS

    - #### ADD_PERMISSION

          public static final TrEnsAction ADD_PERMISSION

    - #### REMOVE_PERMISSION

          public static final TrEnsAction REMOVE_PERMISSION

  - ### Method Detail

    - #### values

          public static TrEnsAction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (TrEnsAction c : TrEnsAction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static TrEnsAction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getAppKey

          public java.lang.String getAppKey()

      Description copied from interface: `NlsKey`
      Returns the base prefix of the key
      Specified by:
        `getAppKey` in interface `NlsKey`

    - #### getSubKey

          public java.lang.String getSubKey()

      Description copied from interface: `NlsKey`
      Returns the path of the key
      Specified by:
        `getSubKey` in interface `NlsKey`

    - #### getText

          public java.lang.String getText(java.lang.Object... args)

      Description copied from interface: `NlsKey`
      Returns the translated text, which is the value of the translation key as stored in the translation map.
      Specified by:
        `getText` in interface `NlsKey`

    - #### getButtonText

          public java.lang.String getButtonText()

      Specified by:
        `getButtonText` in interface `NlsActionKey`

    - #### getMenuText

          public java.lang.String getMenuText()

      Specified by:
        `getMenuText` in interface `NlsActionKey`

    - #### getTipText

          public java.lang.String getTipText()

      Specified by:
        `getTipText` in interface `NlsToolTipKey`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.